stages:
  - deploy

deploy-job-docker:
  stage: deploy
  rules:
    - if: $CI_PROJECT_NAMESPACE == "latency.gg" && $CI_COMMIT_TAG =~ /^v/
  image: docker:20
  services:
    - docker:20-dind
  script:
    - docker info
    - docker login --username $CI_REGISTRY_USER --password $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - >
      docker build 
      --build-arg NPM_VERSION=$CI_COMMIT_TAG
      --tag $CI_REGISTRY_IMAGE:$CI_COMMIT_TAG
      .
    - docker push $CI_REGISTRY_IMAGE:$CI_COMMIT_TAG
